Help, I think I broke my SDK

Hi, I think I made a mistake.

I opend tools->plugins and the Tab “settings” and clicked on Nightlyblabla… closed the window and Updated my sdk. I got some errors so I got back there and clicked on remove but nothing changed except that the entry Nightlyblabla dissapeared.

Now when I start the SDK I get this Error:

SVN Command Failed:

org.apache.subversion.javahl.ClientException: E155021: This client is too old to work with the working copy at 'C:\Users\Miner\Desktop\cubes' (format '31'). We strongly recommend to either install a newer Subversion client or downgrade your working copy. Any local changes might corrupt your working copy and some file operations as copying, renaming and deleting will not work correctly.

What do?

Ah you can simply delete your svn folder and checkout it again. so it uses the older metadata format then.
(Dont do if you have not commited everything) also make a backup of it before just to be save.

1 Like

Just delete the settings folder of the SDK to get back to its vanilla state and learn from the (BREAKS!) warning on the nightly update center.

1 Like